<?php

namespace Modules\Store\Services;

use Modules\Store\Repositories\RefundReasonRepository;

class RefundReasonService
{
    protected $refundRepository;

    public function __construct(RefundReasonRepository $refundRepository)
    {
        $this->refundRepository = $refundRepository;
    }

    public function getAll()
    {
        return $this->refundRepository->getAll();
    }

    public function getById($id)
    {
        return $this->refundRepository->getById($id);
    }

    public function save($data)
    {
        return $this->refundRepository->save($data);
    }

    public function update($data, $id)
    {
        return $this->refundRepository->update($data, $id);
    }

    public function delete($id)
    {
        return $this->refundRepository->delete($id);
    }
}
